#ifndef INFOWIDGET_H
#define INFOWIDGET_H

#include <QWidget>

class QLabel;

class InfoWidget : public QWidget {

	Q_OBJECT

private:

	QLabel* lblActivity;
	QLabel* lblFilterTime;
	QLabel* lblMapViewTime;
	QLabel* lblLog;

public:

	explicit InfoWidget(QWidget *parent = 0);

	Q_INVOKABLE void showActivity(const QString& act);
	Q_INVOKABLE void showFilterTime(const QString& act);
	Q_INVOKABLE void showMapViewTime(const QString& act);
	Q_INVOKABLE void showLog(const QString& info);


signals:

public slots:

};

#endif // INFOWIDGET_H
